<template>
  <div class="mailto-ui-loader hidden"></div>
</template>

<script>
export default {
  name: 'MailtoUiLoader',
  mounted() {
    const mailtoui = require('mailtoui/dist/mailtoui-min.js');

    mailtoui.run({
      title: 'Contacta con nosotros...',
      buttonText1: 'Gmail en navegador',
      buttonText2: 'Outlook en navegador',
      buttonText3: 'Yahoo en navegador',
      buttonText4: 'Aplicación de correo',
      buttonTextCopy: 'Copiar',
      buttonTextCopyAction: 'Copiado!',
    });
  },
};
</script>

<style lang="postcss">
/* purgecss start ignore */

.mailtoui-modal {
  & a {
    @apply no-underline;
  }
  & a,
  & a:hover,
  & a:focus {
    color: currentColor;
  }
}
/*
.mailtoui-modal
*/
.mailtoui-modal-content {
  min-width: 25rem;
  @apply font-modal font-normal text-lg text-gray-500 leading-none rounded-none;
}
.mailtoui-modal-content * {
  font-family: inherit;
  font-weight: inherit;
  font-size: inherit;
  color: inherit;
}

/*
.mailtoui-modal
  .mailtoui-modal-content
    .mailtoui-modal-head
*/
.mailtoui-modal-close {
  @apply text-3xl inset-y-0;
}
.mailtoui-modal-close:focus,
.mailtoui-modal-close:hover {
  @apply text-gray-500;
}

/*
.mailtoui-modal
  .mailtoui-modal-content
    .mailtoui-modal-body
      .mailtoui-clients
*/
.mailtoui-button:focus .mailtoui-button-content {
  @apply bg-gray-500 text-white;
}

.mailtoui-button-content {
  @apply flex items-center;
}
.mailtoui-button-content > * {
  @apply inset-y-0;
}
.mailtoui-button-content > * + * {
  @apply mx-2;
}
.mailtoui-button-content:hover,
.mailtoui-button-content:focus {
  @apply bg-gray-500 text-white;
}

/*
.mailtoui-modal
  .mailtoui-modal-content
    .mailtoui-modal-body
      .mailtoui-copy
*/
.mailtoui-email-address {
  @apply bg-gray-200;
}

.mailtoui-button-copy {
  @apply flex items-center;
}
.mailtoui-button-copy > * {
  @apply inset-y-0;
}
.mailtoui-button-copy > * + * {
  @apply mx-2;
}
.mailtoui-button-copy:hover,
.mailtoui-button-copy:focus {
  @apply bg-gray-500 text-white;
}

.mailtoui-button-copy-clicked,
.mailtoui-button-copy-clicked:hover,
.mailtoui-button-copy-clicked:focus {
  @apply bg-gray-500 text-white;
}

/*
.mailtoui-modal-content
  .mailtoui-modal-body
*/
/*
.mailtoui-brand {
  @apply hidden;
}
*/
.mailtoui-brand a {
  @apply text-sm text-gray-400;
}
.mailtoui-brand a:hover,
.mailtoui-brand a:focus {
  @apply font-normal underline;
}

/* purgecss end ignore */
</style>
